#include <stdio.h>

int main(int argc, char *argv[]) {
	char status[] = {0xAC, 0x01,0x01, 0x06, 0x7D, 0x00, 0x00, 0x03, 0x0F, 0x0B, 0xAD};

	char SOC_Voltage_Currents[] = {0xAC, 0x01,0x02, 0x08, 0x19,0x84, 0x58,0x21, 0x01,0x2F, 0x01,0x2D, 0xAD};

	char cellVoltage0[] = {0xAC, 0x01,0x03, 0x08, 0x8B,0x56, 0x8B,0x57, 0x8B,0x58, 0x8B,0x59, 0xAD};
	char cellVoltage1[] = {0xAC, 0x01,0x04, 0x08, 0x8B,0x56, 0x8B,0x57, 0x8B,0x58, 0x8B,0x59, 0xAD};
	char cellVoltage2[] = {0xAC, 0x01,0x05, 0x08, 0x8B,0x56, 0x8B,0x57, 0x8B,0x58, 0x8B,0x59, 0xAD};

	char SolarPanelVoltages0[] = {0xAC, 0x01,0x06, 0x08, 0x56,0x6B, 0x56,0x6C, 0x56,0x6D, 0x56,0x6E ,0xAD};
	char SolarPanelVoltages1[] = {0xAC, 0x01,0x07, 0x02, 0x56,0x6F ,0xAD};

	char temperatures0[] = {0xAC, 0x01,0x08, 0x08, 0x11, 0x12, 0x13, 0x14, 0x15, 0x16, 0x17, 0x18, 0xAD};
	char temperatures1[] = {0xAC, 0x01,0x09, 0x08, 0x19, 0x1A, 0x1B, 0x1C, 0x1D, 0x00, 0x00, 0x00, 0xAD};
	char temperatures2[] = {0xAC, 0x01,0x0A, 0x04, 0x11, 0x12, 0x13, 0x14, 0xAD};
	
	char values1[] = {0xAC, 0x01, 0x0C, 0x08, 0xA4, 0x10, 0x75, 0x30, 0x88, 0xB8, 0x01, 0xF4, 0xAD};
	char values2[] = {0xAC, 0x01, 0x0D, 0x04, 0xA4, 0x10, 0x75, 0x30, 0xAD};
	char values3[] = {0xAC, 0x01, 0x0E, 0x06, 0x01, 0x50, 0x0B, 0xB8, 0x32, 0x00, 0xAD};
	
	char checksum = 0x00;
	for (int i=1;i<(sizeof(SOC_Voltage_Currents)-1);i++) {
		checksum ^= SOC_Voltage_Currents[i];
	}
	printf("%02X", checksum);
}










